<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Validator;
use App\Alshuyukh;

class AlshuyukhController extends Controller {

    public function __construct() {
        if (!file_exists('uploads/alshuyukh')) {
            mkdir('uploads/alshuyukh', 0777, true);
        }
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
        $alshuyukh = Alshuyukh::all();
        return view('alshuyukh.index', compact('alshuyukh'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request) {


        $alshuyukh = NULL;

        return view('alshuyukh.form', compact('alshuyukh'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request) {
        $validator = Validator::make($request->all(), [
                    'title' => 'required|unique:alshuyukh,title',
                    'description' => 'required',
                    'image' => 'required',
        ]);
        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }
        $alshuyukh = new Alshuyukh($request->all());
        $file = $request->file('image');
        $path = $this->destinationFolder . "alshuyukh/";
        $uniqueID = time();
        $file->move($path, $uniqueID . "." . $file->getClientOriginalExtension());
        $alshuyukh->image = $path . $uniqueID . "." . $file->getClientOriginalExtension();
        $alshuyukh->save();
        $request->session()->flash('success', 'Alshuyukh Created Successfully');
        return redirect('alshuyukh');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id) {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id) {

        $alshuyukh = Alshuyukh::findOrFail($id);

        return view('alshuyukh.form', compact('alshuyukh'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id) {
        $validator = Validator::make($request->all(), [
                    'title' => 'required|unique:alshuyukh,title,' . $id,
                    'description' => 'required',
        ]);
        if ($validator->fails()) {
            return back()->withErrors($validator);
        }
        $oldAlshuyukh = Alshuyukh::findOrFail($id);
        $alshuyukh = $request->all();
        if ($request->hasFile('image')) {
            $file = $request->file('image');
            $path = $this->destinationFolder . "alshuyukh/";
            $uniqueID = time();
            $file->move($path, $uniqueID . "." . $file->getClientOriginalExtension());
            $alshuyukh['image'] = $path . $uniqueID . "." . $file->getClientOriginalExtension();
            $this->delete_image_if_exists($oldAlshuyukh->image);
        }

        $oldAlshuyukh->update($alshuyukh);
        \Session::flash('success', 'Alshuyukh Updated Successfully');
        return redirect('alshuyukh');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id) {
        $alshuyukh = Alshuyukh::findOrFail($id);
        $alshuyukh->delete();
        $this->delete_image_if_exists($alshuyukh->image);
        \Session::flash('success', 'Alshuyukh Deleted Successfully');
        return redirect('alshuyukh');
    }

}
