<?php

namespace App\Http\Controllers;

use App\Layer;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Validator;

class LayerController extends Controller {

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create() {
        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request) {

        $layer = new Layer($request->all());
        $layer->slide_id = $request->slide_id;
        if ($request->hasFile('image')) {
            $file = $request->file('image');
            $path = $this->destinationFolder . "slider/";
            $uniqueID = time();
            $file->move($path, $uniqueID . "." . $file->getClientOriginalExtension());
            $layer->image = $path . $uniqueID . "." . $file->getClientOriginalExtension();
        }
        if ($layer->save())
            return Response(array('data' => 'success'));
        else
            return Response(array('data' => 'failed'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id) {

        $layer = Layer::findOrFail($id);
        $layers = Layer::where('slide_id', $id)->orderBy('order', 'ASC')->get();
        return view('layer.index', compact('layers', 'layer'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id) {
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id) {
        $layerImg = Layer::findOrFail($id);
        $newLayer = $request->all();
        if ($request->hasFile('image')) {
            $file = $request->file('image');
            $path = $this->destinationFolder . "slider/";
            $uniqueID = time();
            $file->move($path, $uniqueID . "." . $file->getClientOriginalExtension());
            $newLayer['image'] = $path . $uniqueID . "." . $file->getClientOriginalExtension();
            $this->delete_image_if_exists($layerImg->image);
        } else {
            unset($newLayer['image']);
        }
        $ed = $layerImg->update($newLayer);
        if ($ed)
            return Response(array('data' => 'success'));
        else
            return Response(array('data' => 'failed'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request) {
        $id = $request->id;
        $layerImg = Layer::findOrFail($id);
        $this->delete_image_if_exists($layerImg->image);
        $del = $layerImg->delete();
        if ($del)
            return Response('success');

        return Response('failed');
    }

    public function update_sequence(Request $request) {
        $items = $request->item;
        // return $items;
        $i = 1;
        foreach ($items as $item) {
            $img = Layer::find($item);
            $img->order = $i;
            $img->save();
            $i++;
        }
    }

}
