<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Media extends Model {

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'media';

    /**
     * The database primary key value.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['title', 'image', 'description', 'category_id', 'source'];

    public function category() {
        return $this->belongsTo('App\Category','category_id');
    }

}
