<?php $title = "الرئيسيـة" ?>
@extends('front.template')
@section('content')

<!-- Bootstrap 3 included in this page only for run the slider that depend on it  -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">


<!-- All three css files for Revoultion slider -->
<link rel="stylesheet" type="text/css" href="{{ url('assets/front/css/sl_style.css')}}" media="screen" />
<link rel="stylesheet" type="text/css" href="{{ url('assets/front/css/navstylechange.css')}}" media="screen" /> 
<link rel="stylesheet" type="text/css" href="{{ url('assets/front/rs-plugin/css/settings.css')}}" media="screen" />
<!-- Custom Css for Handling Navbar  -->
<style>
    body {font-family: Font; font-size: 16px; }
    .navbar-nav{float: right;}
    .navbar{margin-bottom: 0}
    .navbar-brand {padding: 0;}
    .navbar .navbar-nav .nav-item {padding: 20px 3px}
    .navbar .navbar-nav .dropdown .dropdown-menu {min-width: 18rem;}
    @media(max-width:575px) {.navbar .navbar-nav .nav-item {padding: 5px 3px}}
</style>
<!-- Main -->
<main>

    <!-- ==> Slider <== -->
    <div class="slider">

        <article class="boxedcontainer">

            <div class="tp-banner-container">
                <div class="tp-banner">
                    <ul>                       
                        @foreach($sliders as $k => $slide)
                            <!-- SLIDE  -->
                            <li data-transition="zoomout" data-slotamount="1" data-masterspeed="1500"  data-saveperformance="off" >
                                <!-- MAIN IMAGE -->
                                <img src="{{ url($slide->main_image)}}"  alt="Main-1" data-lazyload="{{ url($slide->main_image)}}" data-bgposition="{{$slide->bgposition}}" data-bgfit="{{$slide->bgfit}}" data-bgrepeat="no-repeat">
                                <!-- LAYERS -->
                                    @foreach($layers['main'.$slide->id] as $layer)
                                    <div class="tp-caption {{$layer->class}} rs-parallaxlevel-0" 
                                         data-x="{{$layer->x}}" 
                                         data-y="{{$layer->y}}"  
                                         data-speed="{{$layer->speed}}" 
                                         data-start="{{$layer->start}}" 
                                         data-easing="{{$layer->easing}}" 
                                         @if (strpos($layer->class, 'customin') !== false)                                         
                                         data-customin="{{$layer->customin}}" 
                                         @endif
                                         data-elementdelay="0.1" 
                                         data-endelementdelay="0.1" 
                                         data-endspeed="300" 
                                         style="{{$layer->style}}">
                                            @if($layer->link)
                                                <a target="_blank" href="{{$layer->link}}">
                                            @endif 
                                                @if($layer->image)
                                                    <img src="{{ url($layer->image)}}" @if($layer->ww)data-ww="{{$layer->ww}}" @endif @if($layer->hh)data-hh="{{$layer->hh}}" @endif alt="" data-lazyload="{{ url($layer->image)}}">
                                                @else 
                                                    {{$layer->title}}
                                                @endif 
                                             @if($layer->link)
                                                </a>
                                            @endif   
                                    </div>
                                @endforeach
                                <!-- LAYERS -->
                            </li>
                            <!-- SLIDE  -->
                        @endforeach                   
                    </ul>
                    <div class="tp-bannertimer"></div>
                </div>
            </div>
        </article>
    </div>
    <!-- ==> service <== -->
    <section class="sections service">
        <div class="container">
            <h2 class="tm-header service-header">{{home_settings('service_title')}}</h2>

            <div class="services-info">
                <div class="row">

                    <div class="col-md-4">
                        <div class="service-item">
                            <a href="{{url('libraryMedia/2')}}" class="item-link d-block h-100">
                                <img src="@if(home_settings('serviceOne_image1')) {{ url(home_settings('serviceOne_image1'))}} @else {{ url('assets/front/images/services/service3.png')}} @endif" alt="" class="serv-img">
                                <img src="@if(home_settings('serviceOne_image2')) {{ url(home_settings('serviceOne_image2'))}} @else {{ url('assets/front/images/services/service6.png')}} @endif" alt="" class="serv-img">
                            </a>
                        </div>
                    </div><!-- ./service-item -->

                    <div class="col-md-4">
                        <div class="service-item">
                            <a href="https://itunes.apple.com/us/app/al-fasy/id997300979" target="_blank" class="item-link d-block h-100">
                                <img src="@if(home_settings('serviceTwo_image1')) {{ url(home_settings('serviceTwo_image1'))}} @else {{ url('assets/front/images/services/service1.png')}} @endif" alt="" class="serv-img">
                                <img src="@if(home_settings('serviceTwo_image2')) {{ url(home_settings('serviceTwo_image2'))}} @else {{ url('assets/front/images/services/service5.png')}} @endif" alt="" class="serv-img">
                            </a>
                        </div>
                    </div><!-- ./service-item -->

                    <div class="col-md-4">
                        <div class="service-item">
                            <a href="{{url('baqat')}}" class="item-link d-block h-100">
                                <img src="@if(home_settings('serviceThree_image1')) {{ url(home_settings('serviceThree_image1'))}} @else {{ url('assets/front/images/services/service2.png')}} @endif" alt="" class="serv-img">
                                <img src="@if(home_settings('serviceThree_image2')) {{ url(home_settings('serviceThree_image2'))}} @else {{ url('assets/front/images/services/service4.png')}} @endif" alt="" class="serv-img">
                            </a>
                        </div>
                    </div><!-- ./service-item -->

                </div>
            </div><!-- ./service-info -->

        </div>
    </section><!-- ./service -->

    <!-- ==> about <== -->
    <section class="sections about">
        <div class="container">
            <div class="row">

                <div class="col-md-6">
                    <div class="about-info">
                        <h2 class="about-info-title">عن مشارى راشد العفاسى</h2>
                        <p class="about-info-desc">
                            {{$about}}
                        </p>
                        <a href="{{url('about/')}}" class="tm-link">
                            <span class="text">لقرآة المزيد إضغط هنا</span>
                            <span class="btn-text"></span>
                        </a>
                    </div>
                </div><!-- ./about-info -->

                <div class="col-md-6 wow fadeInRight">
                    <div class="about-img text-center ">
                        <img src="@if(home_settings('about_image')) {{url(home_settings('about_image'))}} @else {{ url('assets/front/images/about/about.png')}} @endif" alt="">
                    </div>
                </div><!-- ./about-img -->

            </div>
        </div>
    </section><!-- ./about -->
    <!-- ==> new-news <== -->
    <section class="sections news">
        <div class="container">
            <div class="row">
                <div class="col-md-6 wow fadeInLeft">
                    <div class="news-img text-center">
                        <img src="@if(home_settings('news_image')) {{url(home_settings('news_image'))}} @else {{ url('assets/front/images/news/About-News-02.png')}} @endif" alt="">
                    </div>
                </div><!-- ./news-img -->
                <div class="col-md-6">
                    <div class="news-info">
                        <img src="{{ url('assets/front/images/about/000.png')}}" alt="" class="cover">
                        <div class="content-news">
                            <h2 class="news-info-title "> جديد أخبار مشاري راشد العفاسي </h2>
                            <ul class="list-unstyled">
                                @foreach($news as $new)
                                    <a href="{{url("news/show/$new->id")}}"><li>{{$new->title}}</li></a>
                                @endforeach                                
                            </ul>
                            <a href="{{url('list_news')}}" class="tm-link">
                                <span class="text">للمتابعـة الاخبـار اضغط هنا</span>
                                <span class="btn-text"></span>
                            </a>
                        </div>
                    </div>
                </div><!-- ./new-info -->
            </div>
        </div>
    </section><!-- ./news -->
    <section class="sections video">
        <!-- The video -->
        <video autoplay muted loop class="video-bg">
            <source src="{{home_settings('video_src')}}" type="video/mp4">
        </video><!-- ./video -->

        <div class="content">
            <img src="@if(home_settings('video_image')) {{url(home_settings('video_image'))}} @else {{ url('assets/front/images/videos/Be-Spa-011.png')}} @endif" alt="">
        </div><!-- .content -->

    </section><!-- ./video -->
    <!-- Apps -->
    <section class="sections apps">
        <div class="container">
            <div class="row">
                <div class="col-md-6 wow fadeInLeft">
                    <div class="app-img">
                        <img src="@if(home_settings('app_image')) {{url(home_settings('app_image'))}} @else {{ url('assets/front/images/apps/mobbb.jpg')}} @endif" alt="">
                    </div>
                </div><!-- .app-img -->
                <div class="col-md-6">
                    <div class="app-info text-center">
                        <h2 class="app-info-title">تعرف علي تطبيق مشاري راشد العفاسي</h2>
                        @foreach($apps as $app)
                        <div class="app-info-item">
                            <img class="app-info-item-img" src="{{ url('assets/front/images/apps/small.png')}}" alt="">
                            <p class="app-info-item-desc">
                                {{$app->value}}
                            </p>
                        </div><!-- ./app-item -->
                        @endforeach
                        <div class="app-info-banner">
                            <img src="{{ url('assets/front/images/apps/txt2.png')}}" alt="">
                        </div>
                    </div>
                </div><!-- ./app-info -->
            </div>
        </div>
    </section><!-- ./apps -->
    <section class="sections albums">
        <div class="container">
            <h2 class="tm-header albums-title"> شاهد وشارك جديد ألبومات صور مشاري راشد العفاسي</h2>

            <div class="row">
                @foreach($images as $k=> $image)
                <div class="col-md-3 wow {{$animate[$k]}}">
                    <div class="album-item">
                        <img src="{{ url($image->image)}}" alt="">
                    </div>
                </div> <!-- ./album-item -->
                @endforeach

            </div><!-- ./row -->
        </div>
    </section>
</main>

@stop
@section('script')
<script>
    $('[href="{{url("/")}}"]').parent().addClass('active');</script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.js"></script>

<!-- SLIDER REVOLUTION 4.x SCRIPTS  -->
<script type="text/javascript" src="{{ url('assets/front/rs-plugin/js/jquery.themepunch.plugins.min.js')}}"></script>
<script type="text/javascript" src="{{ url('assets/front/rs-plugin/js/jquery.themepunch.revolution.min.js')}}"></script>
<script src="{{ url('assets/front/rs-plugin/js/jquery.touchSwipe.min.js')}}"></script>

<script type="text/javascript">

    var revapi;

    jQuery(document).ready(function () {

        revapi = jQuery('.tp-banner').revolution(
                {
                    delay: 10800,
                    startwidth: 1170,
                    startheight: 650,
                    hideThumbs: 10,
                    lazyLoad: "on",
                });

    });	//ready

</script>
@stop