<!-- |__ Header of Website __| -->
@extends('front.template')
@section('content')
<!-- |__ Conent of Page __| -->
<div class="general-video-style clips-page">
    @if($cat->banner_img)
    <div class="poster-img"> 
        <picture>
            <source media="(min-width: 650px)" srcset="{{url($cat->banner_img)}}">
            <source media="(min-width: 465px)" srcset="{{url($cat->banner_img)}}">
            <img src="{{url($cat->banner_img)}}" alt="Flowers"  >
        </picture> 
    </div>
    @endif
    <div class="container">       
        <div class="row" id="data">
            @foreach($media as $value)
            <?php $source = explode('?v=', $value->source)[1]; ?>
            <!-- program-item -->
            <div class="col-md-3 col-sm-6 col-12">
                <div class="program-item">
                    <img src="{{url($value->image)}}" alt="" class="img-item">
                    <div class="overlay">
                        <div class="overlay-ct video">
                            <a href="{{$value->source}}" class="pg_link overlay-search-icon popup-link"><i class="fa fa-search fa-lg"></i></a><br>
                            <a href="#" class="pg_link overlay-link">{{$value->title}}</a>
                        </div><!-- ./overlay-ct -->
                    </div><!-- ./overlay -->
                    <div class="video-place">

                        <iframe id="player_{{$value->id}}" class="yt_player_iframe video" src="https://www.youtube.com/embed/{{$source}}?enablejsapi=1&version=3&playerapiid=ytplayer" frameborder="0" allowfullscreen allowscriptaccess="always"></iframe>
                    </div><!-- ./video-place -->
                </div>
            </div><!-- ./programe-item -->           
            @endforeach          

        </div><!-- ./row -->  
        @if($count>settings('video_per_page'))
        <a href="javascript:void(0)" class="view_more d-block" id="loadMore">شاهد المزيد</a>
        @endif
    </div><!-- ./container -->
    <div class="load" style="position: fixed;top: 40%;right:50%"><img src="{{url('assets/front/images/loading.gif')}}" width="10%"/></div>
</div>
<!-- |__ Footer of Website __| -->
@stop
@section('script')
<script src="https://www.youtube.com/iframe_api"></script>
<script>
$('[href="{{url("libraryMedia/$id")}}"]').parent().addClass('active');
$('#video').parent().addClass('active');
$('[href="{{url("librarywork")}}"]').parent().addClass('active');
var pageNumber = 2;
$('.load').hide();
$("#loadMore").on("click", function () {
    $('.load').show();
    $.ajax({
        type: 'GET',
        url: "{{url('loadMoreVideos/'.$cat->id)}}" + "?page=" + pageNumber,
        success: function (data) {
            $('#data').append(data.html);
            if (data.count == pageNumber) {
                $("#loadMore").css('visibility', 'hidden');
            }
            else {
                pageNumber += 1;
            }
            $('.load').hide();
        }, error: function (data) {

        },
    })
});


// YouTube IFrame Player API  :
// https://developers.google.com/youtube/iframe_api_reference

// stop all iframe youtube videos
$('.pg_link').click(function () {
    $('.yt_player_iframe').each(function () {
        this.contentWindow.postMessage('{"event":"command","func":"stopVideo","args":""}', '*')
    });
});


// array contain all videos ids
var playerInfoList = [];
$('.yt_player_iframe').each(function () {
    playerInfoList.push({"id": $(this).attr("id")});
});



// when youtube video is loaded completely
function onYouTubeIframeAPIReady() {
    if (typeof playerInfoList === 'undefined')
        return;
    for (var i = 0; i < playerInfoList.length; i++) {
        var curplayer = createPlayer(playerInfoList[i]);
    }
}


// create youtube video
function createPlayer(playerInfo) {
    return new YT.Player(playerInfo.id, {
        events: {
            'onStateChange': function (event) {
                if (event.data == YT.PlayerState.PLAYING) {
                    pauseVideo(playerInfo.id);
                }
            }
        }
    });
}

// pause all videos except current one
function pauseVideo(id) {

    $('.yt_player_iframe').not('#' + id).each(function () {
        this.contentWindow.postMessage('{"event":"command","func":"stopVideo","args":""}', '*')
    });
}

</script>
@stop
