@extends('template')
@section('page_title')
Slider / Layers
@stop
@section('content')
<style>   
    .gallery img{        
        background: #cccccc8a;
    }
</style> 
<div class="row">
    <div class="col-md-12">
        <div class="row">           
            <div class="col-md-12">
                @include('layer.modal')
                <!-- Modal -->
                <div class="box box-black">
                    <div class="box-title">
                        <h3><i class="fa fa-photo"></i>Layers Images</h3>
                        <div class="box-tool">
                            <a data-action="collapse" href="#"><i class="fa fa-chevron-up"></i></a>
                            <a data-action="close" href="#"><i class="fa fa-times"></i></a>
                        </div>
                    </div>
                    <div class="box-content">
                        <div class="btn-toolbar pull-right">
                            <div class="btn-group">
                                <a class="add btn btn-circle show-tooltip"  data-toggle="modal" data-target="#Modal" data-original-title="Add new image"><i class="fa fa-plus"></i></a>
                            </div>
                        </div>
                        <ul class="gallery">
                            @foreach($layers as $value)
                            <li id="item_{{$value->id}}"}}>
                                <a href="#" rel="prettyPhoto" title="layer">
                                    <div>
                                        @if($value->image)
                                        <img src="{{url($value->image)}}" width="230" height="173" alt="" />
                                        @else
                                        <img src="http://www.placehold.it/200x150/EFEFEF/AAAAAA&amp;text=no+image" width="230" height="173" alt="" />
                                        @endif
                                        <i></i>
                                    </div>
                                </a>
                                <div class="gallery-tools">                                    
                                    <a  class="edit" data-id="{{$value->id}}" data-var="{{$value}}"  title = "Edit" data-toggle="modal" data-target="#Modal"><i class="fa fa-pencil"></i></a>
                                    <a class="del" data-id="{{$value->id}}" title = "Delete" ><i class="fa fa-trash"></i></a>

                                </div>
                            </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

@stop

@section('script')
<script src="{{url('assets/jquery/notify.js')}}"></script>
<script>
$(document).ready(function () {
    $('#layer').addClass('active');
    $('#homePage').addClass('active');
    $(".gallery").sortable({
        update: function (event, ui) {
            serial = $('.gallery').sortable('serialize');
            console.log(serial);
            $.ajax({
                url: "{{url('layer/update_sequence')}}",
                type: 'get',
                data: serial,
            })
                    .done(function () {
                        console.log("success");
                    })
                    .fail(function () {
                        console.log("error");
                    })
                    .always(function () {
                        console.log("complete");
                    });
        },
    });
    $(".gallery").sortable({
        cancel: '.unsorted'
    });
    // delete img
    $(document).on('click', '.del', function () {
        var confirmed = confirm('Are you sure you want to delete?');
        if (confirmed) {
            var id = $(this).attr('data-id');           
            $.ajax({
                method: "get",
                url: "<?= url('layer/delete') ?>",
                data: {id: id},
                success: function (data) {
                    if (data == 'success') {
                        $(this).parent().prev('a').find('img').remove();
                        $('#item_' + id).remove();
                        $.notify("Image Deleted Successfully", "success");
                    }
                    else {
                        $.notify("Sorry,something goes wrong please try again", "danger");
                    }
                },
                error: function (xhr, textStatus, errorThrown) {
                    $.notify("Sorry,something goes wrong please try again", "danger");
                }
            });
        }
    });
    // edit img
    $(document).on('click', '.edit', function () {
        $('#Modal form').trigger("reset");
        var id = $(this).attr('data-id');       
        var img = $(this).parent().prev('a').find('img').attr('src');
        var data_var = JSON.parse($(this).attr('data-var'));
        //edit modal info          
        $('#Modal #submit').attr('data-id', id);
        $('#Modal #image').attr('src', img); 
        $('#Modal #title').val(data_var.title);
        $('#Modal #link').val(data_var.link);
        $('#Modal #x').val(data_var.x);
        $('#Modal #y').val(data_var.y);
        $('#Modal #speed').val(data_var.speed);
        $('#Modal #start').val(data_var.start);
        $('#Modal #class').val(data_var.class);
        $('#Modal #easing').val(data_var.easing);
        $('#Modal #customin').val(data_var.customin);
        $('#Modal #style').val(data_var.style);
        $('#Modal #hh').val(data_var.hh);
        $('#Modal #ww').val(data_var.ww);
        $('#Modal form').attr('id', 'edit_form');
        $('#Modal .modal-title').text('Edit Image');

    });
    //form 
    $(document).on('submit', '#edit_form', function (e) {
        e.preventDefault();
        var id = $('#submit').attr('data-id');
        var url = "{{ url('layer/') }}";
        url += "/" + id;
        $.ajaxSetup({headers: {'csrftoken': '{{ csrf_token() }}'}});
        $.ajax({
            method: "post",
            url: url,
            data: new FormData(this),
            contentType: false,
            cache: false,
            processData: false,
            success: function (re) {
                if (re.data == 'success') {
                    //update img view
                    $(".gallery").load(" .gallery > *");
                    $.notify("Image Updated Successfully", "success");
                }  
                else{
                    console.log(re.data);
                }
                
            },
            error: function (xhr, textStatus, errorThrown) {
                $.notify("Sorry,something goes wrong please try again", "danger");
            }
        });
        $('#Modal').modal('hide');
        $('#Modal form').trigger("reset");
    });
    // add img
    $(document).on('click', '.add', function () {
        $('#Modal form').trigger("reset");
        //edit modal info  
        $('#Modal #image').attr('src','http://www.placehold.it/200x150/EFEFEF/AAAAAA&amp;text=no+image');        
        $('#Modal form').attr('id', 'add_form');
        $('#Modal .modal-title').text('Add New Image');
    });
    //form 
    $(document).on('submit', '#add_form', function (e){   
        e.preventDefault();
        var url = "{{ url('layer/') }}";
        $.ajaxSetup({headers: {'csrftoken': '{{ csrf_token() }}'}});
        $.ajax({
            method: "post",
            url: url,
            data: new FormData(this),
            contentType: false,
            cache: false,
            processData: false,
            success: function (re) {
                if (re.data == 'success') {
                    //update gallery view
                    $(".gallery").load(" .gallery > *");
                    $.notify("Image Added Successfully", "success");
                }
                else {
                    $.notify("Sorry,something goes wrong please try again", "danger");
                }
            },
            error: function (xhr, textStatus, errorThrown) {
                $.notify("Sorry,something goes wrong please try again", "danger");
            }
        });
        $('#Modal').modal('hide');
        
    });
});

</script>
@stop
