@if($type)
<input type="hidden" name="type" value="{{$type}}"/>
@endif
@if($category_id) 
<input type="hidden" name="category_id" value="{{$category_id}}"/>
@else
<div class="form-group">
    <label class="col-sm-3 col-lg-2 control-label">Parent Category <span class="text-danger">*</span></label>
    <div class="col-sm-9 col-lg-10 controls">
        <select class="form-control" name="category_id">            
            <option ></option>
            @foreach($category as $cat)
            <option value="{{$cat->id}}" @if($media && $media->category_id==$cat->id)selected @endif>{{$cat->title}}</option>
            @endforeach
        </select>
    </div>
</div>
@endif
<div class="form-group">
    <label class="col-sm-3 col-lg-2 control-label">Title <span class="text-danger">*</span></label>
    <div class="col-sm-9 col-lg-10 controls">
        {!! Form::text('title',null,['placeholder'=>'Title','class'=>'form-control input-lg']) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-3 col-lg-2 control-label">Source <span class="text-danger">*</span></label>
    <div class="col-sm-9 col-lg-10 controls">
        {!! Form::text('source',null,['placeholder'=>'source','class'=>'form-control input-lg']) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-3 col-lg-2 control-label">Description </label>
    <div class="col-sm-9 col-lg-10 controls">
      
        {!! Form::textarea('description',null,['class'=>'form-control input-lg ckeditor']) !!}
    </div>
</div>
<div class="form-group">
    <label class="col-sm-3 col-md-2 control-label">Image <span class="text-danger">*</span></label>
    <div class="col-sm-9 col-md-8 controls">
        <div class="fileupload fileupload-new" data-provides="fileupload">
            <div class="fileupload-new img-thumbnail" style="width: 200px; height: 150px;">
                @if($media) 
                <img src="{{url($media->image)}}" alt="" /> 
                @else 
                <img src="http://www.placehold.it/200x150/EFEFEF/AAAAAA&amp;text=no+image" alt="" /> 
                @endif
            </div>
            <div class="fileupload-preview fileupload-exists img-thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;"></div>
            <div>
                <span class="btn btn-file"><span class="fileupload-new">@lang('messages.select_image')</span>
                    <span class="fileupload-exists">Change</span>
                    {!! Form::file('image',["accept"=>"image/*" ,"class"=>"default"]) !!}
                </span>
                <a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Remove</a>
            </div>
        </div>
        <span class="label label-important">NOTE!</span>
        <span>Only extensions supported png, jpg, and jpeg</span>
    </div>
</div>
<div class="form-group">
    <div class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2">
        {!! Form::submit($buttonAction,['class'=>'btn btn-primary']) !!}
    </div>
</div>