<div class="form-group {{ $errors->has('title') ? 'has-error' : ''}}">
    {!! Form::label('title', 'Title *', ['class' => 'col-sm-3 col-lg-2 control-label']) !!} 
    <div class="col-sm-9 col-lg-10">
        {!! Form::text('title', null, ('required' == 'required') ? ['class' => 'form-control', 'required' => 'required'] : ['class' => 'form-control']) !!}
        {!! $errors->first('title', '<p class="help-block">:message</p>') !!}
    </div>
</div>
<div class="form-group {{ $errors->has('description') ? 'has-error' : ''}}">
    {!! Form::label('description', 'Description', ['class' => 'col-sm-3 col-lg-2 control-label']) !!}
    <div class="col-sm-9 col-lg-10">
        {!! Form::textarea('description', null, ('' == 'required') ? ['class' => 'form-control ckeditor', 'required' => 'required'] : ['class' => 'form-control ckeditor']) !!}
        {!! $errors->first('description', '<p class="help-block">:message</p>') !!}
    </div>
</div>
<div class="form-group {{ $errors->has('image') ? 'has-error' : ''}}">
    {!! Form::label('image', 'Image *', ['class' => 'col-sm-3 col-lg-2 control-label']) !!}
    <div class="col-sm-9 col-lg-10">
        <div class='col-sm-9 col-lg-10 controls'>
        <div class='fileupload fileupload-new' data-provides='fileupload'>
            <div class="fileupload-new img-thumbnail" style="width: 200px; height: 150px;">
                 @if($service) 
                    <img src="{{url($service->image)}}" alt="" /> 
                @else 
                    <img src="http://www.placehold.it/200x150/EFEFEF/AAAAAA&amp;text=no+image" alt="" /> 
                @endif              
            </div>
            <div class='fileupload-preview fileupload-exists img-thumbnail' style='max-width: 200px; max-height: 150px; line-height: 20px;'></div>
            <div>
                <span class='btn btn-default btn-file'><span class='fileupload-new'>Select image</span>
                    <span class='fileupload-exists'>Change</span>
                    <input type='file' name='Image' accept="image/*"></span>
                <a href='#' class='btn btn-default fileupload-exists' data-dismiss='fileupload'>Remove</a>
            </div>
        </div>
        <span class='label label-important'>NOTE!</span>
        <span>Only extension supported jpg, png, and jpeg</span>{!! $errors->first('image', '<p class="help-block">:message</p>') !!}
    </div>
    
</div>
</div>
<div class="form-group {{ $errors->has('video') ? 'has-error' : ''}}">
    {!! Form::label('video', 'Video Src *', ['class' => 'col-sm-3 col-lg-2 control-label']) !!}
    <div class="col-sm-9 col-lg-10">
        {!! Form::text('video', null, ('' == 'required') ? ['class' => 'form-control', 'required' => 'required'] : ['class' => 'form-control']) !!}
        {!! $errors->first('video', '<p class="help-block">:message</p>') !!}
    </div>
</div>

<div class="form-group">
    <div class="col-md-offset-4 col-sm-3 col-lg-2">
        {!! Form::submit(isset($submitButtonText) ? $submitButtonText : 'Create', ['class' => 'btn btn-primary']) !!}
    </div>
</div>
